# EESy Engine Service

The EESy engine service implements the *engines* resource of the
EESy API. It provides a registry for engines to be used by the
EESy instance service.
Restricted Access !
Existing customer can request access via [Customer Support for Digital](https://customersupport.digital.slb.com/).
Automatic population of the API Key and S-Auth token is not supported in the "Try It" interface for this API.

```plain Client ID
service-eesy.slbservice.com
```

Version: 1.0

## Servers

```
https://api.delfi.slb.com/engines/v1
```

## Security

### Bearer

User or Service/App/Client Token from SAuth

Type: apiKey
In: header
Name: Authorization

### appkey

AppKey/ Consumer Key from your App on Developer Portal

Type: apiKey
In: header
Name: appkey

## Download OpenAPI description

 - [EESy Engine Service](https://developer.slb.com/_bundle/solutions/engine-ecosystem/apis/eesy_engine_service_openapi.yaml)

## Engines

 - [POST /engines](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_engine_service_openapi/engines/postengine.md): Validates the EESy engine manifest file. The corresponding EESy engine manifest will be created if the incoming manifest file does not contain any syntax or semantic errors.
 - [GET /engines](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_engine_service_openapi/engines/listengine.md): Obtains a list of engines.
 - [DELETE /engines](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_engine_service_openapi/engines/deleteengineprefix.md): Deletes the EESy engine manifests with names that match the prefix. Latest-n specifies the latest n versions that matches the prefix to keep. The latest n versions are determined by semantic versionin
 - [GET /engines/{name}](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_engine_service_openapi/engines/getengine.md): Obtains the engine with the given name.
 - [DELETE /engines/{name}](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_engine_service_openapi/engines/deleteengine.md): Deletes the EESy engine manifest with the corresponding name if it exists.
## EnginesMetadata

 - [GET /engines/metadata](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_engine_service_openapi/enginesmetadata/getenginesmetadata.md): Obtains a list of engines metadata, name and version only.
## Schema Definitions

 - [EESy Engine](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_engine_service_openapi/schema-definitions/engine.md): Schema: #/components/schemas/Engine
 - [Engine run time parameters that can be provided at run time](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_engine_service_openapi/schema-definitions/parameters.md): Schema: #/components/schemas/Parameters
 - [Engine (pre-)execution configurations](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_engine_service_openapi/schema-definitions/execution.md): Schema: #/components/schemas/Execution
 - [HTTP proxy configuration](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_engine_service_openapi/schema-definitions/httpproxy.md): Schema: #/components/schemas/HttpProxy
 - [Configuration for engine license](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_engine_service_openapi/schema-definitions/licenseconfig.md): Schema: #/components/schemas/LicenseConfig
 - [Billing related configurations](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_engine_service_openapi/schema-definitions/billing.md): Schema: #/components/schemas/Billing
 - [Billing event](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_engine_service_openapi/schema-definitions/billingevent.md): Schema: #/components/schemas/BillingEvent
 - [File stores used by the engine at run time](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_engine_service_openapi/schema-definitions/filestores.md): Schema: #/components/schemas/FileStores
 - [Channels used by the engine at run time](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_engine_service_openapi/schema-definitions/channels.md): Schema: #/components/schemas/Channels
 - [EESy Engine List](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_engine_service_openapi/schema-definitions/enginelist.md): Schema: #/components/schemas/EngineList
 - [EESy Engine Status](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_engine_service_openapi/schema-definitions/enginestatus.md): Schema: #/components/schemas/EngineStatus
 - [EESy object metadata](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_engine_service_openapi/schema-definitions/objectmetadata.md): Schema: #/components/schemas/ObjectMetadata
 - [EESy Request Status](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_engine_service_openapi/schema-definitions/status.md): Schema: #/components/schemas/Status
 - [Companies who can consume the engine](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_engine_service_openapi/schema-definitions/consumercompanies.md): Schema: #/components/schemas/ConsumerCompanies
 - [Company that creates the engine](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_engine_service_openapi/schema-definitions/publishcompany.md): Schema: #/components/schemas/PublishCompany
 - [Engine Metadata List](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_engine_service_openapi/schema-definitions/enginemetadatalist.md): Schema: #/components/schemas/EngineMetadataList
 - [Data partition info to resolve proxy target URL](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_engine_service_openapi/schema-definitions/datapartitionregistrykey.md): Schema: #/components/schemas/DataPartitionRegistryKey
